http_get_request_headers
http_match_modified
HTTP Functions
PHP Manual

# http_match_etag

(PECL pecl_http >= 0.1.0)

http_match_etag — Match ETag

### Description

bool http_match_etag ( string `$etag` [, bool `$for_range` = false ] )

Matches the given ETag against the clients If-Match resp. If-None-Match HTTP headers.

### Parameters

`etag`

  the ETag to match

`for_range`

  if set to `TRUE`, the header usually used to validate HTTP ranges will be checked

### Return Values

Returns `TRUE` if ETag matches or the header contained the asterisk ("*"), else `FALSE`.

### See Also

- http_match_last_modified()
- http_match_request_header() - Match any header
- http_cache_etag() - Caching by ETag
- http_cache_last_modified() - Caching by last modification
- ob_etaghandler() - ETag output handler

http_get_request_headers
http_match_modified
HTTP Functions
PHP Manual